sets
i sahm /1*6/
alias(i,j);

table cov(i,j)
          1              2              3              4              5              6
1         0.027886       0.023313       0.02231        0.033466       0.004405       0.020178
2         0.023313       0.052638       0.012538       0.053045       0.000567       0.002613
3         0.02231        0.012538       0.034444       0.01931        0.015825       0.019311
4         0.033466       0.053045       0.01931        0.093393       0.000851       0.009415
5         0.004405       0.000567       0.015825       0.000851       0.013635       0.005759
6         0.020178       0.002613       0.019311       0.009415       0.005759       0.033334 ;

PARAMETER
u(i) /1  -0.04304,2  -0.00445,3  0.013283,4  0.10342,5  0.040426,6  0.045104/;

Variables
f1,f2,f1AUG

positive variable
x(i);
x.up(i)=1;

equations
of1
of2
co1
z11
z22
;

of1.. f1 =e= sum((i,j),x(i)*x(j)*cov(i,j));
of2.. f2=e=sum(i,x(i)*u(i));
co1.. sum(i,x(i))=e=1;

model A /of1 co1/;

solve A using nlp min f1;


z11.. sum((i,j),x(i)*x(j)*cov(i,j))=L= f1.L;

model B /co1 of2 z11/;

solve B using nlp max f2;


scalar
lex1solution1/0/;
scalar
lex1solution2/0/;
lex1solution1=f1.L;
lex1solution2=f2.L;

model C /co1 of2/;


solve C using nlp max f2;

z22.. sum(i,x(i)*u(i))=g=f2.L;

model D /co1 of1 z22/;

solve D using nlp min f1;

scalar
lex2solution1/0/;
scalar
lex2solution2/0/;

lex2solution1=f1.L;
lex2solution2=f2.L;

display lex1solution1 , lex1solution2 , lex2solution1 , lex2solution2;


